import { ModuleWithProviders } from '@angular/core';
import { FpjsClientOptions } from '@fingerprintjs/fingerprintjs-pro-spa';
import * as i0 from "@angular/core";
/**
 * Include FingerprintjsProAngularModule using `forRoot` method.
 *
 * @example ```typescript
 * import { NgModule } from '@angular/core';
 * import { FingerprintjsProAngularModule } from 'fingerprintjs-pro-angular';
 * // ...
 *
 * @NgModule({
 *   declarations: [AppComponent],
 *   imports: [
 *     BrowserModule,
 *     FingerprintjsProAngularModule.forRoot({loadOptions: {apiKey: 'your-fpjs-public-api-key'}})
 * //  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
 *   ],
 *   providers: [],
 *   bootstrap: [AppComponent]
 * })
 * export class AppModule { }
 * ```
 */
export declare class FingerprintjsProAngularModule {
    static forRoot(clientOptions: FpjsClientOptions): ModuleWithProviders<FingerprintjsProAngularModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<FingerprintjsProAngularModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<FingerprintjsProAngularModule, never, never, never>;
    static ɵinj: i0.ɵɵInjectorDeclaration<FingerprintjsProAngularModule>;
}
