import { FingerprintJSPro } from '@fingerprintjs/fingerprintjs-pro-spa';
import { IFingerprintjsProSettings } from './interfaces/i-fingerprintjs-pro-settings';
import * as i0 from "@angular/core";
/**
 * Inject FingerprintjsProAngularService and use it to make identification requests.
 *
 * @example ```typescript
 * import { Component, OnInit } from '@angular/core';
 * import { FingerprintjsProAngularService } from 'fingerprintjs-pro-angular';
 *
 * @Component({
 *   selector: 'app-home',
 *   templateUrl: './home.component.html',
 *   styleUrls: ['./home.component.css']
 * })
 * export class HomeComponent implements OnInit {
 *
 *   constructor(private fingerprintjsProAngularService: FingerprintjsProAngularService) { }
 * //^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
 *   visitorId = 'Press "Identify" button to get visitorId';
 *
 *   async onIdentifyButtonClick() : Promise<void> {
 *     const data = await this.fingerprintjsProAngularService.getVisitorData();
 * //  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
 *     this.visitorId = data.visitorId;
 *     this.extendedResult = data;
 *   }
 * }
 * ```
 */
export declare class FingerprintjsProAngularService {
    private fingerprintJsClient;
    private readonly fingerprintJsClientInitPromise;
    constructor(settings: IFingerprintjsProSettings);
    getVisitorData<TExtended extends boolean>(options?: FingerprintJSPro.GetOptions<TExtended>, ignoreCache?: boolean): Promise<import("@fingerprintjs/fingerprintjs-pro-spa").FpjsSpaResponse<import("@fingerprintjs/fingerprintjs-pro-spa").VisitorData<TExtended>>>;
    clearCache(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<FingerprintjsProAngularService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FingerprintjsProAngularService>;
}
